Subject: Re: [RFC PATCH net-next 8/8] selftests: net: Add port split test

From: Petr Machata <[email-masked]>
Date: Thu, 04 Jun 2020 11:44:09 +0200

Florian Fainelli <[email-masked]> writes:

> In general there appears to be no direction from kernel maintainers
> about what scripting language is acceptable for writing selftests. My
> concern over time is that if we all let our preferences pick a scripting
> language, we could make it harder for people to actually run these tests
> when running non mainstream systems and we could start requiring more
> and more interpreters or runtime environments over time.

You make it sound as if we pushed like Ruby or SBCL or S-Lang, or some
craziness like that. Python is a conservative choice in the Linux
kernel. Not as conservative as Bash or C, but still conservative, Python
is used quite a bit, even for selftests (TDC!).